Bug 30594 - Python seems to hang the install
Summary: Python seems to hang the install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 00:41 UTC by Need Real Name
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 20:32:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-05 00:41:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


I downloaded the latest software off the Redhat web site this weekend. I 
am unsure of the Fisher version - I had to guess at that.  Anyhow, I am 
booting off a floppy, I am loading off a hard drive and I get to this 
point in the install and it dumps.  This is the code that is spewed out - 
if this happens to be an easy solve, please accept my deepest gratitude 
since I have looked through everything I can get my browser on and and I 
can't seem to find a good fix. The installer tells me to post the message 
but I can't seem to find anyone else with the same problem. Hell - I'm off 
to go get a beer. I need it at this point!
Late.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 353, in 
readCompsFile
  File "/tmp/lib/python1.5/urllib.py", line 59, in urlopen
    return _urlopener.open(url)
  File "/tmp/lib/python1.5/urllib.py", line 159, in open
    return getattr(self, name)(url)
  File "/tmp/lib/python1.5/urllib.py", line 330, in open_file
    return self.open_local_file(url)
  File "/tmp/lib/python1.5/urllib.py", line 340, in open_local_file
    return addinfourl(open(url2pathname(file), 'rb'),
IOError: [Errno 2] No such file or 
directory: '/tmp/hdimage///RedHat/base/comps'

Local variables in innermost frame:
mtype: None
self: <urllib.FancyURLopener instance at 928bda8>
mimetypes: <module 'mimetypes' from '/tmp/lib/python1.5/mimetypes.pyc'>
StringIO: <module 'StringIO' from '/tmp/lib/python1.5/StringIO.pyc'>
file: /tmp/hdimage///RedHat/base/comps
url: /tmp/hdimage///RedHat/base/comps
host: None
headers: Content-Type: text/plain

mimetools: <module 'mimetools' from '/tmp/lib/python1.5/mimetools.pyc'>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>


Reproducible: Always
Steps to Reproduce:
1.Go through the install
2.It gets to "Runing Package" or something like that
3.A dialog boxs opens up saying "blah blah blah - send to Redhat"
	

Expected Results:  I just want to install this program to test it out!!!

Comment 1 Michael Fulbright 2001-03-05 20:32:42 UTC
Please try the more recent Wolverine beta release.

Comment 2 Michael Fulbright 2001-04-02 20:01:13 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.


Note You need to log in before you can comment on or make changes to this bug.